For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETMCP manifest
      • GETOAuth protected resource metadata
      • GETMCP surface info
      • POSTExecute an MCP surface tool (dashboard test)
      • POSTList MCP surface tools (dashboard test)
Dashboard
LogoLogo
Runtype APIProduct Mcp

OAuth protected resource metadata

GET
/v1/products/:productId/surfaces/:surfaceId/mcp/.well-known/oauth-protected-resource
GET
/v1/products/:productId/surfaces/:surfaceId/mcp/.well-known/oauth-protected-resource
$curl https://api.runtype.com/v1/products/productId/surfaces/surfaceId/mcp/.well-known/oauth-protected-resource \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "authorization_servers": [
3 "https://auth.runtype.com/oauth2"
4 ],
5 "bearer_methods_supported": [
6 "authorization_header",
7 "form_encoded_body"
8 ],
9 "resource": "https://api.runtype.com/v1/products/abc123/surfaces/web/mcp"
10}

RFC 9728 Protected Resource Metadata for a surface-specific MCP endpoint. Public (no auth).

Was this page helpful?
Previous

MCP surface info

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

productIdstringRequired
surfaceIdstringRequired

Response

RFC 9728 protected resource metadata
authorization_serverslist of strings
bearer_methods_supportedlist of strings
resourcestring

Errors

500
Internal Server Error